<div align="center">
  <h1>Steam Currency Converter</h1>
  <p>
    <b>Streamline Your Steam Experience: Seamless Currency Conversion</b>
    <br/>
    <img src="https://i.imgur.com/nR9TS8z.png" alt="Steam Currency Converter Logo"/>
  </p>
</div>

## Overview

Introducing the Steam Currency Converter Extension, an essential tool for effortless currency conversion within the Steam ecosystem. Supporting over 160 currencies, our extension ensures up-to-date accuracy, facilitating informed purchasing decisions. But what truly sets us apart are the numerous Quality of Life (QOL) features designed to enhance your Steam browsing experience seamlessly. From automatic rate updates to dynamic currency adjustments, we ensure your Steam browsing is uninterrupted by currency barriers. Experience the convenience of real-time currency conversion, tailored to your preferences, and elevate your Steam experience with ease.

  <div>
    <div style="text-align: center;">
    <a href="https://chromewebstore.google.com/detail/steam-currency-converter/ocabaebkfcojookdnihccpcngaaigfan">
      <img src="https://storage.googleapis.com/web-dev-uploads/image/WlD8wC6g8khYWPJUsQceQkhXSlv1/UV4C4ybeBTsZt43U4xis.png" alt="Steam Currency Converter" style="margin-right: 10px;">
    </a>
    <a href="https://addons.mozilla.org/en-US/firefox/addon/steam-currency-converter">
      <img src="https://raw.githubusercontent.com/IsThereAnyDeal/AugmentedSteam/develop/badges/firefox.png" alt="Steam Currency Converter">
    </a>
  </div>
</div>

## Features

- [**Comprehensive Currency Conversion**](#comprehensive-currency-conversion)
- [**Real-Time Target Currency Adjustment**](#real-time-target-currency-adjustment)
- [**Automatic Currency Detection**](#automatic-currency-detection)
- [**On-the-Fly Currency Conversion (Shift + Alt + Q)**](#on-the-fly-currency-conversion)
- [**Custom Rate Adjustment for Additional Fees**](#custom-rate-adjustment-for-additional-fees)
- [**Compatibility with Other Steam Extensions**](#compatibility-with-other-steam-extensions)
- [**Available on Chrome and Firefox**](#available-on-chrome-and-firefox)
- [**Wide Compatibility**](#wide-compatibility)

<h3 id="comprehensive-currency-conversion">Comprehensive Currency Conversion</h3>

Convert seamlessly between all currencies supported by Steam to over 160 global currencies with ease. Whether you're browsing from the United States, Japan, or anywhere else in the world, our extension ensures that you can convert prices to your preferred currency effortlessly, expanding your purchasing options and enhancing your gaming experience.

<h3 id="real-time-target-currency-adjustment">Real-Time Target Currency Adjustment</h3>

Modify your target currency in real time according to your preferences with our extension. Whether you're exploring different regions of the Steam store or simply adjusting your currency preferences, our tool empowers you to change your target currency instantly, ensuring flexibility and convenience throughout your browsing experience.

<h3 id="automatic-currency-detection">Automatic Currency Detection</h3>

Experience effortless currency conversion with automatic detection based on your location. For example, if you're browsing from Denmark, the extension will seamlessly set the base store price to Euro and the target currency to DKK, ensuring a tailored browsing experience without manual intervention. Moreover, if your location changes, the extension intelligently detects this meanwhile maintaining your preferred target currency choice, further enhancing the seamlessness of your browsing experience.
<img src="https://i.imgur.com/ryZWf1z.png" alt="Steam Store in DKK"/>

<h3 id="on-the-fly-currency-conversion">On-the-Fly Currency Conversion</h3>

Switch seamlessly between original prices and converted currencies with the toggle feature available directly on the extension's dropdown menu. Additionally, streamline your browsing experience with the convenient keybind of `SHIFT+ALT+Q`, allowing for quick and effortless toggling while navigating the Steam store.

<h3 id="custom-rate-adjustment-for-additional-fees">Custom Rate Adjustment for Additional Fees</h3>

Tailor your converted prices to accommodate extra rates such as bank fees or government taxes with our extension's custom rate adjustment feature. Add a percentage to the converted price on the fly, ensuring that your final purchase reflects any additional charges seamlessly. This empowers you to make more informed decisions and budget effectively for your gaming purchases.

<img  src="https://i.imgur.com/pEYOUFM.png"  alt="Extra Rate"/>

<h3 id="compatibility-with-other-steam-extensions">Compatibility with Other Steam Extensions</h3>

Steam Currency Converter seamlessly integrates with other Steam extensions such as Augmented Steam and SteamDB extensions, ensuring a smooth experience for power users.

<h3 id="available-on-chrome-and-firefox">Available on Chrome and Firefox</h3>

Install the extension on your preferred browser, whether it's Chrome or Firefox, and enjoy the same great features on both platforms.

<h3 id="wide-compatibility">Wide Compatibility</h3>

This extension supports almost every section of Steam where games are the main priority, providing a comprehensive experience for users.

<p  align="center">

<img  src="https://i.imgur.com/IDjeI1n.png"  alt="Wide Compatibility Feature"/>

</p>

## Screenshots

<img  src="https://i.imgur.com/dn5urNP.png"  alt="Wide Compatibility Feature"/>

<img  src="https://i.imgur.com/3Lcm5O6.png"  alt="Compatibility Feature"/>

<img  src="https://i.imgur.com/ZjUnJE6.png"  alt="Compatibility Feature"/>


## Installing From Web Stores

### **Chrome**

1. Visit the Extension Page [Chrome Web Store](https://chromewebstore.google.com/detail/steam-currency-converter/ocabaebkfcojookdnihccpcngaaigfan).

2. Click "Add to Chrome" to install.

### **Firefox**

1. Visit the Extension Page [Firefox Add-ons](https://addons.mozilla.org/en-US/firefox/addon/steam-currency-converter/).

2. Click "Add to Firefox" to install.

3. Load the Extension and Grant the Permissions From 'Manage Extension' Tab.

## Installing Manually

### **Chrome and Other Chromium Based Browsers**

1. Download the Latest Chrome Release From [Releases](https://github.com/Solidet-com/steam-currency-converter/releases)

2. Go to the extensions page: `chrome://extensions`

3. Drop the Zip file

### **Firefox**

1. Download the Latest Firefox Release From [Releases](https://github.com/Solidet-com/steam-currency-converter/releases)

2. Go to the following url: `about:debugging`

3. Click on This Firefox and Click on Load Temporary Extension

4. Load the Extension and Grant the Permissions From 'Manage Extension' Tab.

## Contributing

Join us in improving Steam browsing experience for the community. Whether you're a developer, designer, or a steam user, your contributions are invaluable. Refer to our [CONTRIBUTING.md](CONTRIBUTING.md) for guidance.

## Issues

Encountered a problem or have a suggestion? Please [report it on GitHub](https://github.com/Solidet-com/steam-currency-converter/issues/new) in the "New Issue" section.`

## License

The Steam Currency Converter is an open-source project available under the [MIT License](LICENSE). Your feedback and contributions drive improvement.

## Disclaimer:

This currency extension has been developed to provide users with information about prices. While we strive for accuracy, we cannot guarantee that the displayed prices are always up-to-date or error-free. Users are advised to verify prices independently before making any financial decisions. Any reliance on the information provided by this extension is at the user's own risk. We disclaim any liability for any loss, damage, or inconvenience caused as a result of using this extension. By using this extension, you agree that any consequences arising from its use are your sole responsibility.

## Contact

> Developers: [_Fudayl Çavuş_](https://github.com/fudaylcavus) |
> [_Trsnaqe_](https://github.com/Trsnaqe)

Questions, support, or feedback? Reach out through these channels:

- Email: mail@solidet.com

- [Buy Me a Coffee](https://www.buymeacoffee.com/trsnaqe)
